Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.upload.internal.services
Class MultipartServletRequestFilter

    java.lang.Object
      org.apache.tapestry5.upload.internal.services.MultipartServletRequestFilter

All Implemented Interfaces:
  HttpServletRequestFilter

    public class MultipartServletRequestFilter

extends java.lang.Object
implements HttpServletRequestFilter

Filter that decodes an incoming multipart request.

Constructor Summary
`MultipartServletRequestFilter(MultipartDecoder multipartDecoder)`

Method Summary
`boolean` | `service(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, HttpServletRequestHandler handler)` Filter interface for the HttpServletRequestHandler pipeline.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultipartServletRequestFilter

    public MultipartServletRequestFilter(MultipartDecoder multipartDecoder)

Method Detail

### service

    public boolean service(javax.servlet.http.HttpServletRequest request,
                           javax.servlet.http.HttpServletResponse response,
                           HttpServletRequestHandler handler)
                    throws java.io.IOException

  Description copied from interface: `HttpServletRequestFilter`
  Filter interface for the HttpServletRequestHandler pipeline. A filter should delegate to the handler. It may perform operations before or after invoking the handler, and may modify the request and response passed in to the handler.

  Specified by:
    `service` in interface `HttpServletRequestFilter`
  Returns:
    true if the request has been handled, false otherwise
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.